Bug 1326251 (CVE-2016-3111) - CVE-2016-3111 pulp: Race condition when generating RSA keys for authenticating messages between server and consumers
Summary: CVE-2016-3111 pulp: Race condition when generating RSA keys for authenticatin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3111
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160413,reported=2...
Depends On: 1326913 1326919
Blocks: 1325942
TreeView+ depends on / blocked
 
Reported: 2016-04-12 09:07 UTC by Adam Mariš
Modified: 2019-06-08 21:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the private RSA key was created in a directory that is world-readable for a small amount of time. A local user could possibly use this flaw to gain access to the private key information in the file.
Clone Of:
Environment:
Last Closed: 2016-09-19 19:03:05 UTC


Attachments (Terms of Use)
Proposed patch (1.44 KB, patch)
2016-04-12 15:38 UTC, Jeremy Cline
no flags Details | Diff

Description Adam Mariš 2016-04-12 09:07:22 UTC
It was found that spec file generating RSA keys, used for authenticating messages between server and consumers, as post installation step does this in world-readable directories for a brief moment.

Vulnerable code:

https://github.com/pulp/pulp/blob/master/pulp.spec#L473-L486
https://github.com/pulp/pulp/blob/master/pulp.spec#L894-L903

Comment 1 Adam Mariš 2016-04-12 09:07:31 UTC
Acknowledgments:

Name: Jeremy Cline (Red Hat)

Comment 2 Randy Barlow 2016-04-12 13:29:25 UTC
The Fedora spec file is also vulnerable in this way:

http://pkgs.fedoraproject.org/cgit/rpms/pulp.git/tree/pulp.spec#n317

and

http://pkgs.fedoraproject.org/cgit/rpms/pulp.git/tree/pulp.spec#n620

Additionally, the Fedora spec file fails to protect the key but that is reported in a separate issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1325693

Comment 4 Jeremy Cline 2016-04-12 15:38:07 UTC
Created attachment 1146522 [details]
Proposed patch

Comment 7 Kurt Seifried 2016-09-19 19:03:05 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.2

Via RHSA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.